- [HTTP request](https://docs.cloud.google.com/assured-workloads/docs/reference/rest/v1/organizations.locations.workloads.updates/apply.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/assured-workloads/docs/reference/rest/v1/organizations.locations.workloads.updates/apply.md.txt#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/assured-workloads/docs/reference/rest/v1/organizations.locations.workloads.updates/apply.md.txt#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/assured-workloads/docs/reference/rest/v1/organizations.locations.workloads.updates/apply.md.txt#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/assured-workloads/docs/reference/rest/v1/organizations.locations.workloads.updates/apply.md.txt#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/assured-workloads/docs/reference/rest/v1/organizations.locations.workloads.updates/apply.md.txt#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/assured-workloads/docs/reference/rest/v1/organizations.locations.workloads.updates/apply.md.txt#body.aspect_1)

This endpoint creates a new operation to apply the given update.

### HTTP request

`POST https://{endpoint}/v1/{name=organizations/*/locations/*/workloads/*/updates/*}:apply`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/assured-workloads/docs/reference/rest.md.txt#rest_endpoints).

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the update. Format: organizations/{org_id}/locations/{locationId}/workloads/{workloadId}/updates/{update_id} Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `assuredworkloads.updates.update` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "action": enum (`WorkloadUpdateAction`) } ``` |

| Fields ||
|---|---|
| `action` | ``enum (`WorkloadUpdateAction`)`` The action to be performed on the update. |

### Response body

If successful, the response body contains an instance of `Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/assuredworkloads`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `assuredworkloads.updates.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).